using System;
using System.Collections.Generic;
using System.Text;

namespace PlayBingo
{
   public class BingoCard
    {
        private int[] card;

        public BingoCard()
        {
            Random rnd = new Random();
            int[] tmp = new int[75];
            for (int i = 0; i < tmp.Length; i++)
                tmp[i] = i + 1;

            this.card = new int[25];
          for (int i = 0; i < 25; i++)
            {
                int index =rnd.Next(74-i);
                this.card[i] = tmp[index];
                tmp[index] = tmp[74-i];
            }
        }

        public void markNum(int num)
        {
            int i = 0;
            while (i<this.card.Length && this.card[i]!=num)
                   i++;
            if (i<this.card.Length) this.card[i] = -this.card[i];
        }

        public bool isWin()
        {
            for (int i = 0; i < this.card.Length; i++)
                if (this.card[i] > 0)
                    return (false);
            return (true);
        }

        public String toString()
        {
            String str = "Card: ";
            for (int i = 0; i < this.card.Length - 1; i++)
                str = str + card[i] + ",";
            str = str + card[this.card.Length - 1];

            return (str);
        }

    }
}
